export = PWInboxWidget;
export as namespace PWInboxWidget;

declare module PWInboxWidget {
    class PWInboxWidget {
        constructor(pw: Pushwoosh);

        /**
         * Toggle widget
         */
        public toggle(isOpened?: boolean): void;

    }
}

interface Pushwoosh {
    inboxWidgetConfig: IInboxWidgetConfig;
    pwinbox: Ipwinbox;
    push(params: any): Promise<void>;
}

interface Ipwinbox {
    readMessagesWithCodes(codes: Array<string>): Promise<void>;
    loadMessages(): Promise<Array<IInboxMessagePublic>>;
    unreadMessagesCount(): Promise<number>;
    performActionForMessageWithCode(code: string): Promise<void>;
    deleteMessagesWithCodes(codes: Array<string>): Promise<void>;
}
